/*--------------------------------------------------------------
        Image Processing function library    libsip
	  (IP-Stream control Header File)
		Written  by H.Goto , July 1994
		Modified by H.Goto , May  1996
		Modified by H.Goto , Apr. 2000
--------------------------------------------------------------*/

/*--------------------------------------------------------------------
  Copyright (C) 1994-2000  Hideaki Goto

        All Rights Reserved

  Permission to use, copy, modify, and distribute this software and
  its documentation for any purpose is hereby granted without fee,
  provided that (i) the above copyright notice and this permission
  notice appear in all copies and in supporting documentation, (ii)
  the name of the author, Hideaki Goto, may not be used in any
  advertising or otherwise to promote the sale, use or other
  dealings in this software without prior written authorization
  from the author, (iii) this software may not be used for
  commercial products without prior written permission from the
  author, and (iv) the notice of the modification is specified in
  case of that the modified copies of this software are distributed.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
  THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
  SOFTWARE.
--------------------------------------------------------------------*/


#ifdef	__cplusplus
extern "C" {
#endif

#ifndef ipstream_h
#define ipstream_h


#include	<utypes.h>	/* define unsigned variables */


/*------------------------------------------------------
	IP-Streams
------------------------------------------------------*/

/*
#define		StSTAT_HOLD	0x01
#define		StSTAT_IOBUSY	0x02
*/
#define		StSTAT_IDSR	0x10
#define		StSTAT_IDRQ	0x20
#define		StSTAT_ODSR	0x40
#define		StSTAT_ODRQ	0x80
#define		StMODE_DISCARD	0x100


typedef struct _IPStream {
	int			status;
	int			in_count,out_count;
	struct _IPStream	*prev,*next;
	ushort			width,height;
	ushort			depth;		/* 8,16,32 */
	ushort			guardsize;
	int32			guarddata;
	char			**line;
	SIPImage		*tmpline;
} IPStream;




extern	char*		sip_StGetInputBuffer(IPStream *ips);
extern	void		sip_StRotate(char **line,ushort lines);

extern	IPStream*	sip_CreateIPStream(ushort width,ushort height,ushort depth,ushort guardsize,int32 guarddata);
extern	int	 	sip_DestroyIPStream(IPStream *ips);
extern	int	 	sip_StPutDummy(IPStream *ips);
extern	int	 	sip_StPutScanLine(IPStream *ips,void *buf);
/*extern	int	 	sip_StDiscardLine(IPStream *ips);*/

extern	void		sip_StSetDSR(IPStream *ips);
extern	void		sip_StResetDRQ(IPStream *ips);
extern	int		sip_StCheckDRQ(IPStream *ips);

extern	int		sip_StCreatePipe(IPStream *ips,IPStream *ips_next);
extern	int		sip_StDestroyPipe(IPStream *ips);
/*
extern	char*		sip_StOpenPipe(IPStream *ips);
extern	int		sip_StClosePipe(IPStream *ips);
*/


#endif	/* ipstream_h */

#ifdef	__cplusplus
}
#endif
