.TH makepr 1 "Feb. 1997"
.SH NAME
makepr \- create Primitive Rectangles in an image
.SH SYNOPSIS
.B makepr
.RB [\-options]
.BR
.I in_file
.BR
.I out_file
.BR
[
.I out_file2
]
.SH DESCRIPTION
makepr reads a binary image and creates Primitive Rectangles. 
The Primitive Rectangle is the rectangle whose width is 
a constant (column width).
See references for the detail of Primitive Rectangles.

The file format of 
.I in_file
is binary pbm(5).
The primitive rectangles are written on 
.I out_file
and
.I out_file2,
whose file format are d4file(4) ordinally.
Each rectangle is denoted by a 4\-tuple, the position
of the left\-top corner, the width, and 
the height of the rectangle.

If the option
.I \-image
is specified,
the rectangle image is written on
.I out_file.
The file format of 
.I out_file
is binary pbm(5) in this case.


.SH OPTIONS
.TP
.B \-or
Logical "OR" of black pixels is used at the creation of rectangles.
(This is default.)
.TP
.B \-and
Logical "AND" of black pixels is used at the creation of rectangles.
.TP
.B \-reverse
Reverse black and white of the input image.
.TP
.B \-cwid N
Set the width of Primitive Rectangles to N.
The default value is N=16.
.TP
.B \-image
Create image file instead of rectangle file.
.TP
.B \-box
Fill the inside of rectangle by black. Use this option 
with 
.B \-image.
.TP
.B \-vert
Create the vertical Primitive Rectangles instead of normal horizontal
ones.
.TP
.B \-mvec
Create both horizontal and vertical Primitive Rectangles concurrently.
Horizontal and vertical rectangles are written on 
.I out_file
and
.I out_file2
respectively.
.TP
.B \-d8
Create 8\-dimensional (8\-tuple) file. (This is experimental.)
.TP
.B \-llim N
Suppress writing Primitive Rectangles each of whose height is 
less than N. The default is N=1.
.TP
.B \-ulim N
Suppress writing Primitive Rectangles each of whose height is 
more than N. The default is N=32767.

.SH SEE ALSO
pbm(5), d4file(4)
.SH REFERENCES
"Robust and Fast Text\-line Extraction Using Local Linearity 
of the Text\-line" by Hideaki Goto and Hirotomo Aso,
Trans. IEICE (D\-II), Vol.J78\-D\-II, No.3, pp.465\-473, March 1995.
(In Japanese)

Or its translated version,

"Robust and Fast Text\-line Extraction Using Local Linearity 
of the Text\-line" by Hideaki Goto and Hirotomo Aso,
Systems and Computers in Japan, Vol.26, No.13, pp.21\-31, 1995,
Scripta Technica, Inc.


.SH AUTHOR
Copyright (C) 1995\-1997 Hideaki Goto
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notice and this permission
.\" notice appear in all copies and in supporting documentation, (ii)
.\" the name of the author, Hideaki Goto, may not be used in any
.\" advertising or otherwise to promote the sale, use or other
.\" dealings in this software without prior written authorization
.\" from the author, (iii) this software may not be used for
.\" commercial products without prior written permission from the
.\" author, and (iv) the notice of the modification is specified in
.\" case of that the modified copies of this software are distributed.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
.\" THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
.\" SOFTWARE.

E\-Mail: hgot@ecip.tohoku.ac.jp, hgot@aso.ecei.tohoku.ac.jp
