.TH prlst2ps 1 "Oct. 1998"
.SH NAME
prlst2ps \- produce PostScript data from rectangle/line\-segment data
.SH SYNOPSIS
.B prlst2ps
.RB [\-options]
.BR
.I in_file
| stdin
.SH DESCRIPTION
prlst2ps reads rectangle data or line segment data from file
.I in_file,
draws rectangles or line segments on an image plane,
and writes PostScript data as output.
The resolution of the image is assumed to be 200dpi.
The output is always written to standard output.

The rectangle data is given by d4file(4) or d8file(4),
which is the same format as that makecr(1) and makepr(1) produce.

The line segment data is given by d8file(4), which is the same
format as that getlseg(1) produce.

If the string "stdin" is passed instead of 
.I in_file,
prlst2ps reads data from standard input.

.SH OPTIONS
.TP
.B \-fill
Draw filled boxes. By default, the rectangular frames are drawn.
.TP
.B \-stick
Assume the input data as stick data.  (Experimental)
.TP
.B \-lseg
Assume the input data as line segment data.
.TP
.B \-lslen N
Set the length of line segment to N pixels. Default value is N=64.
.TP
.B \-quiet
Suppress messages.

.SH SEE ALSO
makecr(1), makepr(1), getlseg(1), d4file(4), d8file(4)
.SH AUTHOR
Copyright (C) 1994\-1998 Hideaki Goto
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notice and this permission
.\" notice appear in all copies and in supporting documentation, (ii)
.\" the name of the author, Hideaki Goto, may not be used in any
.\" advertising or otherwise to promote the sale, use or other
.\" dealings in this software without prior written authorization
.\" from the author, (iii) this software may not be used for
.\" commercial products without prior written permission from the
.\" author, and (iv) the notice of the modification is specified in
.\" case of that the modified copies of this software are distributed.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
.\" THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
.\" SOFTWARE.

E\-Mail: hgot@ecip.tohoku.ac.jp, hgot@aso.ecei.tohoku.ac.jp
